package cn.superdesk.uniorder.dubbo.provider.order._leaveover;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.order.BankRecord;
import cn.superdesk.uniorder.dubbo.facade.order._leaveover.DubboBankRecordService;
import cn.superdesk.uniorder.service.order._leaveover.BankRecordService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboBankRecordServiceImpl implements DubboBankRecordService {

	@Autowired
	private BankRecordService bankRecordService;

	@Override
	public Boolean addObj(BankRecord t) {

		bankRecordService.insertSelective(t);

		return true;
	}

	@Override
	public R<List<BankRecord>> findAllByPage(Map<String, Object> params, int pageNum, int pageSize) {

		return bankRecordService.findAllByPage(params, pageNum, pageSize);
	}

	@Override
	public List<String> findBank() {

		return bankRecordService.findBank();
	}

}
